FreeMat

- Main Page
- Related Pages

vtkOpenGLClipPlanesPainter

Section: Visualization Toolkit Rendering Classes

# Usage

This painter is an openGL specific painter which handles clipplanes. This painter must typically be placed before the painter that do the primitive rendering.

To create an instance of class vtkOpenGLClipPlanesPainter, simply invoke its constructor as follows

      obj = vtkOpenGLClipPlanesPainter

# Methods

The class vtkOpenGLClipPlanesPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLClipPlanesPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLClipPlanesPainter = obj.NewInstance ()`
- `vtkOpenGLClipPlanesPainter = obj.SafeDownCast (vtkObject o)`